> ## Documentation Index
> Fetch the complete documentation index at: https://docs.auctionnow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List orders

> List all orders for the authenticated merchant



## OpenAPI

````yaml https://api.auctionnow.io/api/alpha/doc get /alpha/merchant/orders
openapi: 3.0.0
info:
  version: alpha
  title: Auction Now API
servers:
  - url: https://api.auctionnow.io/api
    description: Production API
security: []
paths:
  /alpha/merchant/orders:
    get:
      tags:
        - Orders
      summary: List orders
      description: List all orders for the authenticated merchant
      parameters:
        - schema:
            type: string
            description: Your Auction Now API key as a Bearer token
            example: Bearer ak_XXXXXXX
          required: true
          description: Your Auction Now API key as a Bearer token
          name: Authorization
          in: header
      responses:
        '200':
          description: A successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        orderId:
                          type: string
                          description: Auction Now's unique identifier for the order
                        customerId:
                          type: string
                          description: The customer's unique identifier
                        title:
                          type: string
                          description: The product title
                        _creationTime:
                          type: number
                          description: >-
                            When the order was created, in milliseconds since
                            the Unix epoch
                        status:
                          type: string
                          description: Current order status
                        totalAmount:
                          type: number
                          description: Total order amount in USD
                        buyerEmail:
                          type: string
                          description: The buyer's email address
                        trackingNumber:
                          type: string
                          description: Shipping tracking number, if set
                        taxCost:
                          type: number
                          description: Tax cost in USD, if applicable
                      required:
                        - orderId
                        - title
                        - _creationTime
                        - status
                        - totalAmount
                        - buyerEmail
                    description: A list of orders
                  message:
                    type: string
                  timestamp:
                    type: number
                required:
                  - data
                  - timestamp
        '400':
          description: Bad Request - Validation error or invalid input
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  error:
                    anyOf:
                      - type: string
                      - type: object
                        properties:
                          errors:
                            type: array
                            items:
                              type: string
                          properties:
                            type: object
                            properties:
                              data:
                                type: object
                                properties:
                                  errors:
                                    type: array
                                    items:
                                      type: string
                                  properties:
                                    type: object
                                    additionalProperties:
                                      type: object
                                      properties:
                                        errors:
                                          type: array
                                          items:
                                            type: string
                                      required:
                                        - errors
                                required:
                                  - errors
                                  - properties
                            required:
                              - data
                        required:
                          - errors
                          - properties
                required:
                  - message
                  - error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  reason:
                    type: string
                required:
                  - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  reason:
                    type: string
                required:
                  - error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error

````